/** 
* @addtogroup			service
* @{
*/

/**
* @file					itk_service_common.cpp
* @brief				declarion of all custom service exits functions
* @date					2009/2/13
* @author				James Pang
* @history
* ===================================================================================
* Date					Name				Description
* 13-Feb-2009			James				created
*/

#ifndef ITK_SERVICE_COMMON
#define ITK_SERVICE_COMMON

#ifdef __cplusplus
extern "C" {
#endif


int GetFolderTagandCreate (void * returnValueType);
int SERVICE_part_no( void *retValType );
int SERVICE_internal_part_no( const char *argMark, int length, int start_num, int end_num,int step, char **newID /*OF*/);

int SERVICE_parts_frequency( void *revValType );
int SERVICE_get_lov_desc( void* revValType );

#ifdef __cplusplus
}
#endif

#endif

/**
* @}
*/